
Digicom Michelangelo WAVE
Model Michelangelo WAVEPart no. 8E4371EAN 8030476003474
32 specifications
- Speed0.054 Gbit/s
- Weight350 g
- ColourBlack
- Channels quantity13 channels
- Networking standardsIEEE 802.11b, IEEE 802.11g
- ADSLYes
Overview
- Speed
- 0.054 Gbit/s
- Weight
- 350 g
- Colour
- Black
- Channels quantity
- 13 channels
- Networking standards
- IEEE 802.11b, IEEE 802.11g
- ADSL
- Yes
- Brand
- Digicom
- Category
- Wireless Router
- Model
- Michelangelo WAVE
- Part numbers
- 8E4371, 8E4372
- EAN / UPC
- 8030476003474, 8030476003481
- Also known as
- Digicom Michelangelo WAVE wireless router Black
Specifications
32 specifications in 9 groups
Wireless LAN features
| Specification | Value |
|---|---|
| Channels quantity | 13 channels |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.11b, IEEE 802.11g |
| Supports ISDN connection | No |
| VPN support | L2TP, PPTP, IPSec |
DSL features
| Specification | Value |
|---|---|
| ADSL | Yes |
| DSL specification | ADSL2+, ADSL2, G.dmt, G.Lite, G.hs |
Ports & interfaces
| Specification | Value |
|---|---|
| RJ-11 ports quantity | 1 |
Security
| Specification | Value |
|---|---|
| Security algorithms | WEP, WPA, WPA2 |
| Firewall security | SOHO |
| Filtering | Yes |
| MAC address filtering | Yes |
| DMZ support | Yes |
| NAT functionality | NAT, NAT Full Features |
Protocols
| Specification | Value |
|---|---|
| DHCP client | Yes |
| DHCP server | Yes |
| Universal Plug and Play (UPnP) | Yes |
| Data link protocols | PPP, Virtual Server, Dinamic DNS, RIP |
| Supported network protocols | PPPoA, PPPoE, RFC-2364, RFC-2516, RFC-1483, ENET ENCAP |
Design
| Specification | Value |
|---|---|
| Product colour | Black |
| LED indicators | Yes |
Weight & dimensions
| Specification | Value |
|---|---|
| Weight | 350 g |
Other features
| Specification | Value |
|---|---|
| Bandwidth | 2.4 GHz |
| Data transfer rate | 11 Mbit/s |
| Dimensions (WxDxH) | 190 x 140 x 45 mm |
| Downstream data rate | 24 Mbit/s |
| Maximum data transfer rate | 0.054 Gbit/s |
| Networking features | Wi-Fi |
| Power supply type | 12 Vac, 1A |
| Supported WAN type | ADSL2/2+ |
| Upstream data rate | 1 Mbit/s |
| WLAN data transfer rates supported | 54 Mbit/s |
| xDSL connection | Yes |
What people say
Reviews & ratings
Digicom Michelangelo WAVE
No reviews yet
Be the first to tell others how Digicom Michelangelo WAVE works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Digicom Michelangelo WAVE
All wireless router comparisons- Digicom Michelangelo WAVE vsDigicom Michelangelo WAVE 300 BundleCompare specs
- Digicom Michelangelo WAVE vsDigicom Pro VCompare specs
- Digicom Michelangelo WAVE vsDigicom WaveGate 300 BUNDLECompare specs
- Digicom Michelangelo WAVE vsDigicom 300 wireless router Black, WhiteCompare specs
- Digicom Michelangelo WAVE vsPhilips CKA5720/00 wireless router Single-band (2.4 GHz) Black, GreyCompare specs
- Digicom Michelangelo WAVE vsZyxel P-2602HW-D wireless routerCompare specs
- Digicom Michelangelo WAVE vsNilox 16NX080112001 wireless router Black, WhiteCompare specs
- Digicom Michelangelo WAVE vsZyxel NBG-410W3G wireless router WhiteCompare specs
Similar products
All wireless routersNETGEAR
RAX70 wireless router Gigabit Ethernet Tri-band (2.4 GHz
Model RAX70
- Memory
- 1024 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Tabletop router
ASUS
RT-AC1900U wireless router Gigabit Ethernet Dual-band (2.4 GHz
Model RT-AC1900U
- Speed
- Wi-Fi 5 (802.11ac)
- Type
- Tabletop router
- Weight
- 660 g
Cudy
5G SA/NSA AX3000 Wi-Fi 6 Router, P4 1.0
- Memory
- 512 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Desktop/pole router
Cudy
P5 wireless router Gigabit Ethernet Dual-band (2.4 GHz
Model P5
- Memory
- 256 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Tabletop router
TP-Link
Archer AXE5400 Tri-Band Gigabit Wi-Fi 6E Router
Model AX5400
- Speed
- Wi-Fi 6E (802.11ax)
- Type
- Tabletop router
- Weight
- 710 g
Cudy
5G SA/NSA BE3600 Wi-Fi 7 Router, P6 1.0
- Memory
- 1024 MB
- Speed
- Wi-Fi 7 (802.11be)
- Type
- Desktop/pole router
Cudy
AX3000 2.5G Mesh Wi-Fi 6 Router, WR3000H 1.0
- Memory
- 256 MB
- Speed
- Wi-Fi 6 (802.11ax)
- Type
- Desktop/pole router


















